Translate a Windows timezone into a system timezone

- « IntlTimeZone::getID

- IntlTimeZone::getOffset »

- PHP Manual
- IntlTimeZone
- Translate a Windows timezone into a system timezone

# IntlTimeZone::getIDForWindowsID

# intltz_get_id_for_windows_id

(PHP 7 >= 7.1.0, PHP 8)

IntlTimeZone::getIDForWindowsID -- intltz_get_id_for_windows_id — Translate a Windows timezone into a system timezone

### Description

Object-oriented style (method):

public static IntlTimeZone::getIDForWindowsID(string `$timezoneId`, ?string `$region` = `null`): string|false

Procedural style:

intltz_get_id_for_windows_id(string `$timezoneId`, ?string `$region` = `null`): string|false

Translates a Windows timezone (e.g. "Pacific Standard Time") into a system timezone (e.g. "America/Los_Angeles").

> Note: This function requires ICU version ≥ 52.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`timezoneId`

`region`

### Return Values

Returns the system timezone or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `region` is now nullable.

### See Also

- IntlTimeZone::getWindowsID() - Translate a system timezone into a Windows timezone